Browse Source

Bundle update, after upgrade to ruby2.5+

remotes/origin/master
echarp 3 years ago
parent
commit
5d55bafae4
  1. 8
      Gemfile
  2. 60
      Gemfile.lock
  3. 6
      app/assets/config/manifest.js
  4. 6
      app/assets/stylesheets/_variables.sass
  5. 2
      app/assets/stylesheets/all.sass
  6. 2
      app/assets/stylesheets/events.sass
  7. 5
      app/assets/stylesheets/form.sass

8
Gemfile

@ -19,7 +19,7 @@ gem 'ice_cube'
gem 'rails', '= 5.2.3'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.5'
gem 'jbuilder'
gem 'haml-rails'
@ -44,11 +44,7 @@ gem 'actionview-encoded_mail_to'
gem 'differ'
# A generic library to administrate the tool
# Needs ruby 2.4 for version after 2.1
gem 'activeadmin', '< 2.1'
# Added because production machine has a dated ruby...
gem 'inherited_resources', '< 1.11'
gem 'responders', '2.4.1'
gem 'activeadmin'
gem 'has_scope'
gem 'preserve'

60
Gemfile.lock

@ -27,16 +27,16 @@ GEM
rails-html-sanitizer (~> 1.0, >= 1.0.3)
actionview-encoded_mail_to (1.0.9)
rails
activeadmin (2.0.0)
activeadmin (2.4.0)
arbre (~> 1.2, >= 1.2.1)
formtastic (~> 3.1)
formtastic_i18n (~> 0.4)
inherited_resources (~> 1.7)
jquery-rails (~> 4.2)
kaminari (~> 1.0, >= 1.0.1)
railties (>= 5.0, < 6.0)
railties (>= 5.0, < 6.1)
ransack (~> 2.1, >= 2.1.1)
sass (~> 3.4)
sassc-rails (~> 2.1)
sprockets (>= 3.0, < 4.1)
sprockets-es6 (~> 0.9, >= 0.9.2)
activejob (5.2.3)
@ -71,7 +71,7 @@ GEM
execjs (~> 2.0)
bcrypt (3.1.13)
bindex (0.8.1)
brakeman (4.6.1)
brakeman (4.7.1)
buftok (0.2.0)
builder (3.2.3)
bundler-audit (0.6.1)
@ -87,7 +87,7 @@ GEM
execjs
coffee-script-source (1.12.2)
concurrent-ruby (1.1.5)
crass (1.0.4)
crass (1.0.5)
devise (4.7.1)
bcrypt (~> 3.0)
orm_adapter (~> 0.1)
@ -121,7 +121,7 @@ GEM
geocoder (1.5.2)
globalid (0.4.2)
activesupport (>= 4.2.0)
guard (2.15.1)
guard (2.16.1)
formatador (>= 0.2.4)
listen (>= 2.7, < 4.0)
lumberjack (>= 1.0.12, < 2.0)
@ -175,7 +175,7 @@ GEM
actionpack (>= 4.1)
activesupport (>= 4.1)
high_voltage (3.1.2)
highline (2.0.2)
highline (2.0.3)
html2haml (2.2.0)
erubis (~> 2.7.0)
haml (>= 4.0, < 6)
@ -211,12 +211,12 @@ GEM
icalendar (2.5.3)
ice_cube (~> 0.16)
ice_cube (0.16.3)
inherited_resources (1.10.0)
actionpack (>= 5.0, < 6.0)
inherited_resources (1.11.0)
actionpack (>= 5.0, < 6.1)
has_scope (~> 0.6)
railties (>= 5.0, < 6.0)
responders (~> 2.0)
jaro_winkler (1.5.3)
railties (>= 5.0, < 6.1)
responders (>= 2, < 4)
jaro_winkler (1.5.4)
jbuilder (2.9.1)
activesupport (>= 4.2.0)
jquery-rails (4.3.5)
@ -243,7 +243,7 @@ GEM
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
ruby_dep (~> 1.2)
loofah (2.3.0)
loofah (2.3.1)
crass (~> 1.0.2)
nokogiri (>= 1.5.9)
lumberjack (1.0.13)
@ -253,21 +253,21 @@ GEM
mimemagic (~> 0.3.2)
memoizable (0.4.2)
thread_safe (~> 0.3, >= 0.3.1)
meta-tags (2.12.0)
meta-tags (2.13.0)
actionpack (>= 3.2.0, < 6.1)
method_source (0.9.2)
mimemagic (0.3.3)
mini_mime (1.0.2)
mini_portile2 (2.4.0)
minitest (5.12.2)
minitest (5.13.0)
modernizr-rails (2.7.1)
multi_json (1.13.1)
multi_json (1.14.1)
multipart-post (2.1.1)
mysql2 (0.5.2)
naught (1.1.0)
nenv (0.3.0)
nio4r (2.5.2)
nokogiri (1.10.4)
nokogiri (1.10.5)
mini_portile2 (~> 2.4.0)
notiffany (0.1.3)
nenv (~> 0.1)
@ -291,7 +291,7 @@ GEM
coderay (~> 1.1.0)
method_source (~> 0.9.0)
public_suffix (4.0.1)
puma (4.2.0)
puma (4.2.1)
nio4r (~> 2.0)
rack (2.0.7)
rack-livereload (0.3.17)
@ -326,8 +326,8 @@ GEM
rails-dom-testing (2.0.3)
activesupport (>= 4.2.0)
nokogiri (>= 1.6)
rails-html-sanitizer (1.2.0)
loofah (~> 2.2, >= 2.2.2)
rails-html-sanitizer (1.3.0)
loofah (~> 2.3)
rails-i18n (5.1.3)
i18n (>= 0.7, < 2)
railties (>= 5.0, < 6)
@ -352,10 +352,10 @@ GEM
ref (2.0.0)
request_store (1.4.1)
rack (>= 1.4)
responders (2.4.1)
actionpack (>= 4.2.0, < 6.0)
railties (>= 4.2.0, < 6.0)
rubocop (0.75.0)
responders (3.0.0)
actionpack (>= 5.0)
railties (>= 5.0)
rubocop (0.76.0)
jaro_winkler (~> 1.5.1)
parallel (~> 1.10)
parser (>= 2.6)
@ -369,7 +369,7 @@ GEM
rubocop (>= 0.72.0)
ruby-progressbar (1.10.1)
ruby_dep (1.5.0)
ruby_parser (3.14.0)
ruby_parser (3.14.1)
sexp_processor (~> 4.9)
sass (3.7.4)
sass-listen (~> 4.0.0)
@ -395,7 +395,7 @@ GEM
spring-watcher-listen (2.0.1)
listen (>= 2.7, < 4.0)
spring (>= 1.2, < 3.0)
sprockets (3.7.2)
sprockets (4.0.0)
concurrent-ruby (~> 1.0)
rack (> 1, < 3)
sprockets-es6 (0.9.2)
@ -421,7 +421,7 @@ GEM
thor (0.20.3)
thread_safe (0.3.6)
tilt (2.0.10)
tinymce-rails (5.0.16)
tinymce-rails (5.1.1)
railties (>= 3.1.1)
turbolinks (5.2.1)
turbolinks-source (~> 5.2)
@ -461,7 +461,7 @@ PLATFORMS
DEPENDENCIES
actionview-encoded_mail_to
activeadmin (< 2.1)
activeadmin
acts-as-taggable-on
brakeman
bundler-audit
@ -491,8 +491,7 @@ DEPENDENCIES
i18n-tasks
icalendar
ice_cube
inherited_resources (< 1.11)
jbuilder (~> 2.5)
jbuilder
jquery-ui-rails
kramdown
listen (>= 3.0.5, < 3.2)
@ -513,7 +512,6 @@ DEPENDENCIES
rails-assets-leaflet.markercluster!
rails-controller-testing
rails-i18n
responders (= 2.4.1)
rubocop-performance
rubocop-rails
sassc-rails

6
app/assets/config/manifest.js

@ -0,0 +1,6 @@
//= link_tree ../images
//= link_directory ../javascripts .js
//= link_directory ../stylesheets .css

6
app/assets/stylesheets/_variables.sass

@ -0,0 +1,6 @@
$highlight: #9CC5EE
$border: none
$radius: 4px
$shadow: 0 0 2px darkgray

2
app/assets/stylesheets/all.sass

@ -1,4 +1,4 @@
$highlight: #9CC5EE
@import variables
*
height: auto

2
app/assets/stylesheets/events.sass

@ -1,3 +1,5 @@
@import variables
header.calendar-header
font-size: larger
a

5
app/assets/stylesheets/form.sass

@ -1,6 +1,5 @@
$border: none
$radius: 4px
$shadow: 0 0 2px darkgray
@import font-awesome
@import variables
body.mce-content-body
margin: 0

Loading…
Cancel
Save